# GimpUi.LabelStringWidget

    const GimpUi = imports.gi.GimpUi;

    let labelStringWidget = new GimpUi.LabelStringWidget({
        widget: value,
    });

This widget is a subclass of GimpUi.Labeled.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Grid
          - GimpUi.Labeled
            - GimpUi.LabelStringWidget

## Constructors

- GimpUi.LabelStringWidget.new

## Methods

- GimpUi.LabelStringWidget.prototype.get_widget

## Properties

- value
- widget

## Signals

- value-changed